.mask-dark, .mask-light{
	position: relative;
	&:after{
		content: "";
		position: absolute;
		top:0;
		left:0;
		bottom:0;
		right:0;

	}
}

.mask-dark{
	.card-caption{
		color: white;
	}
	&:after{
		background: linear-gradient(rgba(20, 20, 20,.33), rgba(0,0,0,.55)); //rgba(0,0,0,.45);

	}
}	
.mask-light:after{
	background: linear-gradient(rgba(150, 150, 150,0.5), rgba(255,255,255,1));
}

.article-cover.mask-dark{
	.card-cover{
		@extend .mask-dark;
	}
}
.article-cover.mask-light{
	.card-cover{
		@extend .mask-light;
	}
}





.entry-cover{
	margin-bottom: 20px;
	text-align: center;
	position: relative;
	overflow: hidden;
	img{
		width:100%;
		height: auto;
		transition: all .6s ease-in-out;

	}
	
	.card-mask{
		position: absolute;
		top:0;
		left: 0;
		height: 100%;
		z-index: 2;
		//transition: opacity .5s ease-in-out;
		width: 100%;
		background: rgba(55,55,55,.5);
		opacity: 0;
		&:after, &:before{
			transition: all .6s ease-in-out;
			content: "";
			background: white;
			z-index: 2;
			position: absolute;
			top: 50%;
			left: 50%;
			opacity: 0.5;
			
			
			
		}
		&:after{
			margin-top: -3.5px;
			height: 7px;
			width: 0;
		}
		&:before{
			margin-left: -3.5px;
			height: 0px;
			width: 7px;
		}
	}
	[class^="card-"] &:hover{
		.card-mask{
			opacity: 1;
			&:after{
				left: calc(50% - 15px);
				width: 30px;
				opacity: 1;
			}
			&:before{
				top: calc(50% - 15px);
				opacity: 1;
				height: 30px;
			}
		}
		img{
			transform: scale(1.1);
		}
	}
}
.entry-lead{
	font-weight: 400;
}

.entry-abstract{
	h1{
		@extend .mt-3;
		@extend .mb-0;
		text-align: center;
		font-size: 5rem;
	}
}
@media (min-width: map-get($grid-breakpoints, 'md')){
	.entry-abstract{
		position: relative;
		height: 100%;.entry-tit
		&:after{
			content: '';
			position: absolute;
			left: calc(100% + 10px);
			top: 10%;
			bottom: 10%;
			border-right: 3px dotted $brand-primary;
		}
		
	}
	.template-card-abstract{
		article:last-child .entry-abstract:after{
			display: none;
		}
	}
	
}

ul.entry-meta{
	list-style: none;
	padding: 0;
	li{
		display: inline-block;
		& + li:before{
			content: "|";

		}
	}
}

.entry-author{
	font-family: $font-family-sans-serif;
	color: $brand-primary;
	.entry-caption &{ 
		color: inherit;
		font-family: $font-family-serif;
		border-top: 1px solid $gray;
		border-bottom: 1px solid $gray;
		padding-top: 1rem;
		padding-bottom: 1rem;
	}
	.user-avatar{
		float: left;
		width: 60px;
		border: 1px solid #ccc;
		img{
			width: 100%;
		}

	}
	.user-caption{
		margin-left: 70px;
	}
	.user-name{
		font-size: $font-size-h6;
		font-family: $font-family-sans-serif;
		color: $brand-primary;

	}
	.user-description{
		@extend .small;
	}
}


.entry-meta{
	margin-bottom: 10px;
}


.template-aside{
	position: relative;
	
	.entry-caption{
		position: absolute;
		bottom: 0px;
	}
}

.font-sans-serif{
	font-family: $font-family-sans-serif;
}


body.single{
	article{
		@extend .col-12;
		.entry-content{
			@extend .row;
		}
		
		.entry-lead{
			text-align: justify;
			font-family: $font-family-sans-serif;
			margin-bottom: 20px;
			font-size: 1.2rem;
		}
		

		
	}
}



.template-gallery {

	[data-slide]{
		color: $brand-primary;
		z-index: 10;
	}
}